Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::transformed< Fn1, Fn2 > Struct Template Reference
Functional

## Public Member Functions
template<typename... Args>
auto | operator() (Args &&... args) const noexcept(noexcept(invoke((Fn1 const &) first_, invoke((Fn2 const &) second_, static_cast< Args && >(args)...)))) -> decltype(invoke((Fn1 const &) first_, invoke((Fn2 const &) second_, static_cast< Args && >(args)...)))
template<typename... Args>
auto | operator() (Args &&... args) noexcept(noexcept(invoke(first_, invoke(second_, static_cast< Args && >(args)...)))) -> decltype(invoke(first_, invoke(second_, static_cast< Args && >(args)...)))
constexpr | transformed (Fn1 fn1, Fn2 fn2)